/*style the container holding inputs*/
.container {
  border-radius: 5px;
  background-color: lightgrey;
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#step1 {
  width: 100%;
  height: 25%;
  background-color: lightblue;
  margin: 10px 10px 10px 10px;
  padding: 10px 10px 10px 10px;
  display: block;
}

#step2 {
  width: 100%;
  height: 25%;
  background-color: lightblue;
  margin: 10px 10px 10px 10px;
  padding: 10px 10px 10px 10px;
  display: block;
}

#subdiv1 {
  border: 1px solid black;
  background-color: grey;
  display: none;
}

#step3 {
  width: 100%;
  height: 25%;
  background-color: lightblue;
  margin: 10px 10px 10px 10px;
  padding: 10px 10px 10px 10px;
  display: block;
}

#step4 {
  width: 100%;
  height: 25%;
  background-color: lightblue;
  margin: 10px 10px 10px 10px;
  padding: 10px 10px 10px 10px;
  display: block;
}

/*style inputs*/
select {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  resize: vertical;
}

/*style the label to display next to inputs*/
label {
  padding: 12px 12px 12px 0px;
  display: inline-block;
}

/*style the submit button*/
input[type=submit] {
  background-color: #04AA6D;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  margin: auto;
}

/*floating column for labels: 25 percent width*/
.col-25 {
  float:left;
  width: 25;
  margin-top: 6px;
}

/*floating column for labels: 75 percent width*/
.col-75 {
  float:left;
  width: 25;
  margin-top: 6px;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .col-25, .col-75, input[type=submit] {
    width: 100%;
    margin-top: 0;
  }
}

.slidecontainer {
  width: 100%; /*width of outside container*/
}

/*the slider itself*/
.slider {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 100%;
  height: 25px;
  background: white;
  outline: none;
  opacity: 0.6;
  -webkit-transition: .2s;
}

/*mouse over effect*/
.slider:hover {
  opacity: 1; /*fully shown on mouse-over*/
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  background: #04AA6D;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  background: #04AA6D;
  cursor: pointer;
}